Subject: Re: bug#63780: Reversing the grep message output type matching binary files (without the -a option added) changed from stdout to stderr

From: Paul Eggert <[email-masked]>
Date: Fri, 2 Jun 2023 15:17:33 -0700

On 6/1/23 22:36, L A Walsh wrote:

> Perhaps it would be a good idea for grep to provide such filtering
> (displaying <00><AH>, or such) for non-ascii data?

You mean, migrate some of less's functionality into 'grep'? I suppose 
something like that might work, if someone put a lot of time into it, 
and carefully considered the backward compatibility issues, and tried 
things out on some real use cases. I don't have the time myself.

> I have a command to restore my tty settings to the value they
> were when I logged on.

That's not enough to address the security issues.

> Nevertheless, displaying <filename>: matches, without the text doesn't
> seem to pose any security risks.

Yes, and grep does that now. The only issue is whether to send that 
summary information to stdout or to stderr.

We seem to be going around in circles, so I'll let you have the last 
word if you like.